#!/bin/sh

# ------------------------------------------------------------------------ {COPYRIGHT-TOP}
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# IBM Tivoli Usage and Accounting Manager
# 5724-O33, 5765-UAV, 5765-UA7, 44E7863
# (c) Copyright IBM Corp. 2010 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# ------------------------------------------------------------------------ {COPYRIGHT-END}

if [ "$TUAM_HOME" != "" ]
then
# Stopping eWAS...
   
   if  [ "$1" != "" -a "$2" != "" ];
   then
   		echo Stopping eWAS with authentication
      	"$TUAM_HOME/ewas/bin/stopServer.sh" server1 -username "$1" -password "$2"
   else
   		echo Stopping eWAS without authentication
      	"$TUAM_HOME/ewas/bin/stopServer.sh" server1
   fi
     
   echo Applying fix...
   
   cp "$TUAM_HOME/lib/aucProcessEngine.jar" "$TUAM_HOME/lib/aucProcessEngine.jar.tuam713fp1"
   cp ./aucProcessEngine.jar "$TUAM_HOME/lib"
   
   cp "$TUAM_HOME/lib/aucIntegrator.jar" "$TUAM_HOME/lib/aucIntegrator.jar.tuam713fp1"
   cp ./aucIntegrator.jar "$TUAM_HOME/lib"
   
   cp "$TUAM_HOME/lib/aucDataAccess.jar" "$TUAM_HOME/lib/aucDataAccess.jar.tuam713fp1"
   cp ./aucDataAccess.jar "$TUAM_HOME/lib"
   
   cp "$TUAM_HOME/lib/aucJobRunner.jar" "$TUAM_HOME/lib/aucJobRunner.jar.tuam713fp1"
   cp ./aucJobRunner.jar "$TUAM_HOME/lib"
   
   cp "$TUAM_HOME/lib/aucCommon.jar" "$TUAM_HOME/lib/aucCommon.jar.tuam713fp1"
   cp ./aucCommon.jar "$TUAM_HOME/lib"
   
   cp "$TUAM_HOME/lib/aucVerification.jar" "$TUAM_HOME/lib/aucVerification.jar.tuam713fp1"
   cp ./aucVerification.jar "$TUAM_HOME/lib"
   
   cp "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar" "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar.tuam713fp1"
   cp ituam_uc_aix5.tar "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar"
   
   cp "$TUAM_HOME/collectors/unixlinux/ituam_uc_sol27.tar" "$TUAM_HOME/collectors/unixlinux/ituam_uc_sol27.tar.tuam713fp1"
   cp ituam_uc_sol27.tar "$TUAM_HOME/collectors/unixlinux/ituam_uc_sol27.tar"
   
   if [ -f "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct" ]
   then
     cp "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct" "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct.tuam713fp1"
     cp ituam_format_aacct "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct"
   fi
   
   
   
   if [ -f "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector" ]
   then
     cp "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector" "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector.tuam713fp1"
	 cp tuam_unpack_dblibs_collector "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector"
   fi
   
   
   if [ -f "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par" ]
   then
     cp "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par" "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par.tuam713fp1"
     cp create_A_storage.par "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par"
   fi
   
   

  #Deploy eWAS EAR. eWAS needs to be running for the deploy process.

   cp "$TUAM_HOME/setup/console/aucConsole.war" "$TUAM_HOME/setup/console/aucConsole.war.tuam713fp1"
   cp ./aucConsole-ee.war "$TUAM_HOME/setup/console/aucConsole.war"
   cd "$TUAM_HOME/setup/console"


   echo Deploy war and Restart eWAS...

   if  [ "$1" != "" -a "$2" != "" ];
   then
      echo Restarting eWAS...
   	  "$TUAM_HOME/ewas/bin/startServer.sh" server1 -username "$1" -password "$2"
      echo Deploying WAR to eWAS with authentication
      "./deployTuam.sh" replace "$1" "$2"
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi
    	
   else
      echo Restarting eWAS...
   	  "$TUAM_HOME/ewas/bin/startServer.sh" server1
      echo Deploying WAR to eWAS without authentication
      "./deployTuam.sh" replace
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi
   fi

else
   echo Your environment variable TUAM_HOME is not set.  Set the TUAM_HOME variable to the install location of TUAM 7.1.3 and then rerun fix. 
fi
