@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2007, 2010 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}
rem
rem ***************************************************************************
rem * Database upgrade script.
rem *
rem ***************************************************************************

REM This is refering to the existing ITUAM Database
SET CURRENTdatabase=CIMSServer
SET prefix=CIMS
SET login=user administrator using adminpw
REM The folder location will require roughly the same amount of space as the original database
REM The folder must exist
REM The folder name should not contain blanks
SET folder=F:\databasetemp

ECHO Starting EXPORT
date /t
time /t
ECHO CURRENTdatabase= %CURRENTdatabase%
ECHO prefix= %prefix%
ECHO login= %login%
ECHO folder= %folder%

ECHO CONNECT TO CURRENT PRODUCTION DATABASE
DB2 CONNECT TO %CURRENTdatabase% %login%

REM This will test for the correct version of the database
REM The current database must be upgrade properly before running this function
DB2 -o "SELECT DATABASEVERSION FROM %prefix%.CIMSCONFIG    " > sqlout.txt
find "001.018" sqlout.txt
if errorlevel 1 goto STOPRUN
goto CONTINUE
:STOPRUN
ECHO YOUR DATABASE IS NOT AT THE PROPER VERSION FOR THE UPGRADE
goto END
:CONTINUE

ECHO REMOVING CARRIAGE RETRUN AND LINE FEED FORM REPORT DISTRIBUTION
DB2 UPDATE %prefix%.CIMSreportdistributioncycle set emailtext = replace(emailtext,CHAR(CHR(13)),' ')
DB2 UPDATE %prefix%.CIMSreportdistributioncycle set emailtext = replace(emailtext,CHAR(CHR(10)),' ')

ECHO EXPORT CIMSCALENDAR
DB2 EXPORT TO %folder%\CIMSCALENDAR.txt                OF DEL SELECT * FROM %prefix%.CIMSCALENDAR

ECHO EXPORT CIMSCLIENT
DB2 EXPORT TO %folder%\CIMSCLIENT.txt                  OF DEL SELECT substr(AccountCode,1,127), substr(AltAcctCode,1,127), AccountName, LoadTrackingUID, RateTable, InvoiceContact, ActionCode1, ActionCode2, ActionCode3, ActionCode4, ActionCode5, ActionCode6, ActionCode7, ActionCode8 FROM %prefix%.CIMSClient

ECHO EXPORT CIMSCLIENTBUDGET
DB2 EXPORT TO %folder%\CIMSCLIENTBUDGET.txt            OF DEL SELECT LoadTrackingUID, substr(AccountCode,1,127), RateCode, Year, Period, BudgetAmt, ActualAmt, BudgetUnits, ActualUnits FROM %prefix%.CIMSClientBudget

ECHO EXPORT CIMSCLIENTCONTACT
DB2 EXPORT TO %folder%\CIMSCLIENTCONTACT.txt           OF DEL SELECT LoadTrackingUID, substr(AccountCode,1,127), ContactIdx, AddressLine1, AddressLine2, AddressLine3, AddressLine4, AddressLine5, Department, ContactName, Office, Comments FROM %prefix%.CIMSClientContact

ECHO EXPORT CIMSCLIENTCONTACTNUMBER
DB2 EXPORT TO %folder%\CIMSCLIENTCONTACTNUMBER.txt     OF DEL SELECT LoadTrackingUID, substr(AccountCode,1,127), ContactIdx, NumberIdx, NumberDescription, NumberValue FROM %prefix%.CIMSClientContactNumber

ECHO EXPORT CIMSCONFIG
DB2 EXPORT TO %folder%\CIMSCONFIG.txt                  OF DEL Select OrgName, AddressLine1, AddressLine2,AddressLine3, AddressLine4, InvoiceNo, InvoiceNumberType, Use13Periods, UseCalendar, ReportAccessSecurity, LocationStandardReports, LocationCustomReports, LocationSavedReports, DatabaseVersion, LastProcessUID, CustomReportGroupID, CustomSpreadsheetGroupID, SessionTimeoutMinutes, AccountParameterSelectionLevel, DefaultCrystalViewer, DBConnectionTimeout, '', '', '', '', 0, LastReportingDate from %prefix%.cimsconfig

ECHO EXPORT CIMSCONFIGACCOUNTLEVEL
DB2 EXPORT TO %folder%\CIMSCONFIGACCOUNTLEVEL.txt      OF DEL SELECT * FROM %prefix%.CIMSCONFIGACCOUNTLEVEL

ECHO EXPORT CIMSCONFIGOPTIONS
DB2 EXPORT TO %folder%\CIMSCONFIGOPTIONS.txt           OF DEL SELECT * FROM %prefix%.CIMSCONFIGOPTIONS

ECHO EXPORT CIMSCPUNORMALIZATION
DB2 EXPORT TO %folder%\CIMSCPUNORMALIZATION.txt        OF DEL SELECT * FROM %prefix%.CIMSCPUNORMALIZATION

ECHO EXPORT CIMSDETAIL
DB2 EXPORT TO %folder%\CIMSDETAIL.txt                  OF DEL SELECT LoadTrackingUID, DetailUID, DetailLine, substr(AccountCode,1,127), Aggregate, StartDate, EndDate, ShiftCode, AuditCode, SourceSystem, RateCode, ResourceUnits, AccountingStartDate, AccountingEndDate FROM %prefix%.CIMSDetail

ECHO EXPORT CIMSDETAILIDENT
DB2 EXPORT TO %folder%\CIMSDETAILIDENT.txt             OF DEL SELECT * FROM %prefix%.CIMSDETAILIDENT

ECHO EXPORT CIMSHEADLINE
DB2 EXPORT TO %folder%\CIMSHEADLINE.txt                OF DEL SELECT * FROM %prefix%.CIMSHEADLINE

ECHO EXPORT CIMSIDENT
DB2 EXPORT TO %folder%\CIMSIDENT.txt                   OF DEL SELECT * FROM %prefix%.CIMSIDENT

ECHO EXPORT CIMSLOADTRACKING
DB2 EXPORT TO %folder%\CIMSLOADTRACKING.txt            OF DEL SELECT * FROM %prefix%.CIMSLOADTRACKING

ECHO EXPORT CIMSRATE
DB2 EXPORT TO %folder%\CIMSRATE.txt                    OF DEL SELECT * FROM %prefix%.CIMSRATE

ECHO EXPORT CIMSRATEGROUP
DB2 EXPORT TO %folder%\CIMSRATEGROUP.txt               OF DEL SELECT * FROM %prefix%.CIMSRATEGROUP

ECHO EXPORT CIMSRATEIDENTIFIERS
DB2 EXPORT TO %folder%\CIMSRATEIDENTIFIERS.txt         OF DEL SELECT * FROM %prefix%.CIMSRATEIDENTIFIERS

ECHO EXPORT CIMSRATESHIFT
DB2 EXPORT TO %folder%\CIMSRATESHIFT.txt               OF DEL SELECT * FROM %prefix%.CIMSRATESHIFT

ECHO EXPORT CIMSRATETORATEGROUP
DB2 EXPORT TO %folder%\CIMSRATETORATEGROUP.txt         OF DEL SELECT * FROM %prefix%.CIMSRATETORATEGROUP

ECHO EXPORT CIMSREPORT
DB2 EXPORT TO %folder%\CIMSREPORT.txt                  OF DEL SELECT * FROM %prefix%.CIMSREPORT

ECHO EXPORT CIMSREPORTCUSTOMFIELDS
DB2 EXPORT TO %folder%\CIMSREPORTCUSTOMFIELDS.txt      OF DEL SELECT * FROM %prefix%.CIMSREPORTCUSTOMFIELDS

ECHO EXPORT CIMSREPORTDISTRIBUTION
DB2 EXPORT TO %folder%\CIMSREPORTDISTRIBUTION.txt      OF DEL SELECT * FROM %prefix%.CIMSREPORTDISTRIBUTION

ECHO EXPORT CIMSREPORTDISTRIBUTIONCYCLE
DB2 EXPORT TO %folder%\CIMSREPORTDISTRIBUTIONCYCLE.txt OF DEL SELECT * FROM %prefix%.CIMSREPORTDISTRIBUTIONCYCLE

ECHO EXPORT CIMSREPORTDISTRIBUTIONPARM
DB2 EXPORT TO %folder%\CIMSREPORTDISTRIBUTIONPARM.txt  OF DEL SELECT * FROM %prefix%.CIMSREPORTDISTRIBUTIONPARM

ECHO EXPORT CIMSREPORTDISTRIBUTIONTYPE
DB2 EXPORT TO %folder%\CIMSREPORTDISTRIBUTIONTYPE.txt  OF DEL SELECT * FROM %prefix%.CIMSREPORTDISTRIBUTIONTYPE

ECHO EXPORT CIMSREPORTGROUP
DB2 EXPORT TO %folder%\CIMSREPORTGROUP.txt             OF DEL SELECT * FROM %prefix%.CIMSREPORTGROUP

ECHO EXPORT CIMSREPORTSTART
DB2 EXPORT TO %folder%\CIMSREPORTSTART.txt             OF DEL SELECT * FROM %prefix%.CIMSREPORTSTART

ECHO EXPORT CIMSREPORTTOREPORTGROUP
DB2 EXPORT TO %folder%\CIMSREPORTTOREPORTGROUP.txt     OF DEL SELECT * FROM %prefix%.CIMSREPORTTOREPORTGROUP

ECHO EXPORT CIMSRESOURCEUTILIZATION
DB2 EXPORT TO %folder%\CIMSRESOURCEUTILIZATION.txt     OF DEL SELECT LoadTrackingUID, DetailUID, DetailLine, substr(AccountCode,1,127), Aggregate, StartDate, EndDate, ShiftCode, AuditCode, SourceSystem, RateCode, ResourceUnits FROM %prefix%.CIMSResourceUtilization

ECHO EXPORT CIMSSUMMARY
DB2 EXPORT TO %folder%\CIMSSUMMARY.txt                 OF DEL SELECT LoadTrackingUID, Year, Period, Shift, substr(AccountCode,1,127), LenLevel1, LenLevel2, LenLevel3, LenLevel4, RateTable, RateCode, StartDate, EndDate, BillFlag1, BillFlag2, BillFlag3, BillFlag4, BillFlag5, BillFlag6, BillFlag7, BillFlag8, BillFlag9, RateValue, ResourceUnits, BreakId, MoneyValue, UsageStartDate, UsageEndDate, RunDate, BillFlag10, BillFlag11 FROM %prefix%.CIMSSummary

ECHO EXPORT CIMSSUMMARYDAILY
DB2 EXPORT TO %folder%\CIMSSUMMARYDAILY.txt            OF DEL SELECT LoadTrackingUID, Year, Period, Shift, substr(AccountCode,1,127), LenLevel1, LenLevel2, LenLevel3, LenLevel4, RateTable, RateCode, StartDate, EndDate, BillFlag1, BillFlag2, BillFlag3, BillFlag4, BillFlag5, BillFlag6, BillFlag7, BillFlag8, BillFlag9, RateValue, ResourceUnits, BreakId, MoneyValue, UsageStartDate, UsageEndDate, RunDate, BillFlag10, BillFlag11 FROM %prefix%.CIMSSummaryDaily

ECHO EXPORT CIMSSUMMARYTODETAIL
DB2 EXPORT TO %folder%\CIMSSUMMARYTODETAIL.txt         OF DEL SELECT * FROM %prefix%.CIMSSUMMARYTODETAIL

ECHO EXPORT CIMSTRANSACTION
DB2 EXPORT TO %folder%\CIMSTRANSACTION.txt             OF DEL SELECT * FROM %prefix%.CIMSTRANSACTION

ECHO EXPORT CIMSUSER
DB2 EXPORT TO %folder%\CIMSUSER.txt                    OF DEL SELECT * FROM %prefix%.CIMSUSER

ECHO EXPORT CIMSUSERCONFIGOPTIONS
DB2 EXPORT TO %folder%\CIMSUSERCONFIGOPTIONS.txt       OF DEL SELECT * FROM %prefix%.CIMSUSERCONFIGOPTIONS

ECHO EXPORT CIMSUSERFAVORITES
DB2 EXPORT TO %folder%\CIMSUSERFAVORITES.txt           OF DEL SELECT * FROM %prefix%.CIMSUSERFAVORITES

ECHO EXPORT CIMSUSERGROUP
DB2 EXPORT TO %folder%\CIMSUSERGROUP.txt               OF DEL Select GroupID, GroupFullName, TransactionSecurity,RateSecurity, ClientSecurity, GroupType, AllowFinModeler, AllowWebConsole from %prefix%.cimsusergroup

ECHO EXPORT CIMSUSERGROUPACCOUNTCODE
DB2 EXPORT TO %folder%\CIMSUSERGROUPACCOUNTCODE.txt    OF DEL SELECT GroupID, substr(AccountCode,1,127) FROM %prefix%.CIMSUserGroupAccountCode

ECHO EXPORT CIMSUSERGROUPCONFIGOPTIONS
DB2 EXPORT TO %folder%\CIMSUSERGROUPCONFIGOPTIONS.txt  OF DEL SELECT * FROM %prefix%.CIMSUSERGROUPCONFIGOPTIONS

ECHO EXPORT CIMSUSERGROUPREPORT
DB2 EXPORT TO %folder%\CIMSUSERGROUPREPORT.txt         OF DEL SELECT * FROM %prefix%.CIMSUSERGROUPREPORT

ECHO EXPORT CIMSUSERTOUSERGROUP
DB2 EXPORT TO %folder%\CIMSUSERTOUSERGROUP.txt         OF DEL SELECT * FROM %prefix%.CIMSUSERTOUSERGROUP

:END
ECHO EXPORT Complete
date /t
time /t

