@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2007, 2010 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}
rem
rem ***************************************************************************
rem * Database upgrade script.
rem *
rem ***************************************************************************

REM This is refering to the new TUAM Database
SET TUAM71database=tuam
SET prefix=tuam
SET login=user administrator using adminpw
SET folder=F:\databasetemp

ECHO Starting EXPORT
date /t
time /t
ECHO TUAM71database= %TUAM71database%
ECHO prefix= %prefix%
ECHO login= %login%
ECHO folder= %folder%

ECHO CONNECT TO NEW TUAM 7.1 DATABASE
DB2 CONNECT TO %TUAM71database% %login%

REM This will test for records in the CIMSSummary table if found the BAT will end with an error
REM This implies that the wrong datbase is being used
REM A freshly inited TUAM 7.1 database will not have CIMSSummary records
DB2 -o "SELECT 'COUNT' || CHAR(COUNT(*)) FROM %prefix%.CIMSSUMMARY    " > sqlout.txt
find "COUNT0" sqlout.txt
if errorlevel 1 goto STOPRUN
goto CONTINUE
:STOPRUN
ECHO YOU ARE USING THE WRONG DATABASE FOR THIS OPERATION
goto END
:CONTINUE

ECHO IMPORT CIMSCALENDAR
DB2 IMPORT FROM %folder%\CIMSCALENDAR.txt                OF DEL INSERT INTO  %prefix%.CIMSCALENDAR

ECHO IMPORT CIMSCLIENT
DB2 IMPORT FROM %folder%\CIMSCLIENT.txt                  OF DEL INSERT INTO  %prefix%.CIMSCLIENT

ECHO IMPORT CIMSCLIENTBUDGET
DB2 IMPORT FROM %folder%\CIMSCLIENTBUDGET.txt            OF DEL INSERT INTO  %prefix%.CIMSCLIENTBUDGET

ECHO IMPORT CIMSCLIENTCONTACT
DB2 IMPORT FROM %folder%\CIMSCLIENTCONTACT.txt           OF DEL INSERT INTO  %prefix%.CIMSCLIENTCONTACT

ECHO IMPORT CIMSCLIENTCONTACTNUMBER
DB2 IMPORT FROM %folder%\CIMSCLIENTCONTACTNUMBER.txt     OF DEL INSERT INTO  %prefix%.CIMSCLIENTCONTACTNUMBER

ECHO IMPORT CIMSCONFIG
DB2 IMPORT FROM %folder%\CIMSCONFIG.txt                  OF DEL INSERT INTO  %prefix%.CIMSCONFIG

ECHO IMPORT CIMSCONFIGACCOUNTLEVEL
DB2 IMPORT FROM %folder%\CIMSCONFIGACCOUNTLEVEL.txt      OF DEL INSERT INTO  %prefix%.CIMSCONFIGACCOUNTLEVEL

ECHO IMPORT CIMSCONFIGOPTIONS
DB2 IMPORT FROM %folder%\CIMSCONFIGOPTIONS.txt           OF DEL INSERT INTO  %prefix%.CIMSCONFIGOPTIONS

ECHO IMPORT CIMSCPUNORMALIZATION
DB2 IMPORT FROM %folder%\CIMSCPUNORMALIZATION.txt        OF DEL INSERT INTO  %prefix%.CIMSCPUNORMALIZATION

ECHO IMPORT CIMSIDENT
DB2 IMPORT FROM %folder%\CIMSIDENT.txt                   OF DEL INSERT INTO  %prefix%.CIMSIDENT

ECHO IMPORT CIMSDETAIL
DB2 IMPORT FROM %folder%\CIMSDETAIL.txt                  OF DEL INSERT INTO  %prefix%.CIMSDETAIL

ECHO IMPORT CIMSDETAILIDENT
DB2 IMPORT FROM %folder%\CIMSDETAILIDENT.txt             OF DEL INSERT INTO  %prefix%.CIMSDETAILIDENT

ECHO IMPORT CIMSHEADLINE
DB2 IMPORT FROM %folder%\CIMSHEADLINE.txt                OF DEL INSERT INTO  %prefix%.CIMSHEADLINE

ECHO IMPORT CIMSLOADTRACKING
DB2 IMPORT FROM %folder%\CIMSLOADTRACKING.txt            OF DEL INSERT INTO  %prefix%.CIMSLOADTRACKING

ECHO IMPORT CIMSRATE
DB2 IMPORT FROM %folder%\CIMSRATE.txt                    OF DEL INSERT INTO  %prefix%.CIMSRATE

ECHO IMPORT CIMSRATEGROUP
DB2 IMPORT FROM %folder%\CIMSRATEGROUP.txt               OF DEL INSERT INTO  %prefix%.CIMSRATEGROUP

ECHO IMPORT CIMSRATEIDENTIFIERS
DB2 IMPORT FROM %folder%\CIMSRATEIDENTIFIERS.txt           OF DEL INSERT INTO  %prefix%.CIMSRATEIDENTIFIERS

ECHO IMPORT CIMSRATESHIFT
DB2 IMPORT FROM %folder%\CIMSRATESHIFT.txt               OF DEL INSERT INTO  %prefix%.CIMSRATESHIFT

ECHO IMPORT CIMSRATETORATEGROUP
DB2 IMPORT FROM %folder%\CIMSRATETORATEGROUP.txt         OF DEL INSERT INTO  %prefix%.CIMSRATETORATEGROUP

ECHO IMPORT CIMSREPORT
DB2 IMPORT FROM %folder%\CIMSREPORT.txt                  OF DEL INSERT INTO  %prefix%.CIMSREPORT

ECHO IMPORT CIMSREPORTCUSTOMFIELDS
DB2 IMPORT FROM %folder%\CIMSREPORTCUSTOMFIELDS.txt      OF DEL INSERT INTO  %prefix%.CIMSREPORTCUSTOMFIELDS

ECHO IMPORT CIMSREPORTDISTRIBUTIONCYCLE
DB2 IMPORT FROM %folder%\CIMSREPORTDISTRIBUTIONCYCLE.txt OF DEL INSERT INTO  %prefix%.CIMSREPORTDISTRIBUTIONCYCLE

ECHO IMPORT CIMSREPORTDISTRIBUTION
DB2 IMPORT FROM %folder%\CIMSREPORTDISTRIBUTION.txt      OF DEL INSERT INTO  %prefix%.CIMSREPORTDISTRIBUTION

ECHO IMPORT CIMSREPORTDISTRIBUTIONPARM
DB2 IMPORT FROM %folder%\CIMSREPORTDISTRIBUTIONPARM.txt  OF DEL INSERT INTO  %prefix%.CIMSREPORTDISTRIBUTIONPARM

ECHO IMPORT CIMSREPORTDISTRIBUTIONTYPE
DB2 IMPORT FROM %folder%\CIMSREPORTDISTRIBUTIONTYPE.txt  OF DEL INSERT INTO  %prefix%.CIMSREPORTDISTRIBUTIONTYPE

ECHO IMPORT CIMSREPORTGROUP
DB2 IMPORT FROM %folder%\CIMSREPORTGROUP.txt             OF DEL INSERT INTO  %prefix%.CIMSREPORTGROUP

ECHO IMPORT CIMSREPORTSTART
DB2 IMPORT FROM %folder%\CIMSREPORTSTART.txt             OF DEL INSERT INTO  %prefix%.CIMSREPORTSTART

ECHO IMPORT CIMSREPORTTOREPORTGROUP
DB2 IMPORT FROM %folder%\CIMSREPORTTOREPORTGROUP.txt     OF DEL INSERT INTO  %prefix%.CIMSREPORTTOREPORTGROUP

ECHO IMPORT CIMSRESOURCEUTILIZATION
DB2 IMPORT FROM %folder%\CIMSRESOURCEUTILIZATION.txt     OF DEL INSERT INTO  %prefix%.CIMSRESOURCEUTILIZATION

ECHO IMPORT CIMSSUMMARY
DB2 IMPORT FROM %folder%\CIMSSUMMARY.txt                 OF DEL INSERT INTO  %prefix%.CIMSSUMMARY

ECHO IMPORT CIMSSUMMARYDAILY
DB2 IMPORT FROM %folder%\CIMSSUMMARYDAILY.txt            OF DEL INSERT INTO  %prefix%.CIMSSUMMARYDAILY

ECHO IMPORT CIMSSUMMARYTODETAIL
DB2 IMPORT FROM %folder%\CIMSSUMMARYTODETAIL.txt         OF DEL INSERT INTO  %prefix%.CIMSSUMMARYTODETAIL

ECHO IMPORT CIMSTRANSACTION
DB2 IMPORT FROM %folder%\CIMSTRANSACTION.txt             OF DEL INSERT INTO  %prefix%.CIMSTRANSACTION

ECHO IMPORT CIMSUSER
DB2 IMPORT FROM %folder%\CIMSUSER.txt                    OF DEL INSERT INTO  %prefix%.CIMSUSER

ECHO IMPORT CIMSUSERCONFIGOPTIONS
DB2 IMPORT FROM %folder%\CIMSUSERCONFIGOPTIONS           OF DEL INSERT INTO  %prefix%.CIMSUSERCONFIGOPTIONS

ECHO IMPORT CIMSUSERFAVORITES
DB2 IMPORT FROM %folder%\CIMSUSERFAVORITES.txt           OF DEL INSERT INTO  %prefix%.CIMSUSERFAVORITES

ECHO IMPORT CIMSUSERGROUP
DB2 IMPORT FROM %folder%\CIMSUSERGROUP.txt               OF DEL INSERT INTO  %prefix%.CIMSUSERGROUP

ECHO IMPORT CIMSUSERGROUPACCOUNTCODE
DB2 IMPORT FROM %folder%\CIMSUSERGROUPACCOUNTCODE.txt    OF DEL INSERT INTO  %prefix%.CIMSUSERGROUPACCOUNTCODE

ECHO IMPORT CIMSUSERGROUPCONFIGOPTIONS
DB2 IMPORT FROM %folder%\CIMSUSERGROUPCONFIGOPTIONS.txt  OF DEL INSERT INTO  %prefix%.CIMSUSERGROUPCONFIGOPTIONS

ECHO IMPORT CIMSUSERGROUPREPORT
DB2 IMPORT FROM %folder%\CIMSUSERGROUPREPORT.txt         OF DEL INSERT INTO  %prefix%.CIMSUSERGROUPREPORT

ECHO IMPORT CIMSUSERTOUSERGROUP
DB2 IMPORT FROM %folder%\CIMSUSERTOUSERGROUP.txt         OF DEL INSERT INTO  %prefix%.CIMSUSERTOUSERGROUP

:END
ECHO IMPORT Complete
date /t
time /t
