@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2010 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR

echo Undoing fix...
echo .  

COPY "%TUAM_HOME%\lib\aucProcessEngine.jar.tuam713fp1" "%TUAM_HOME%\lib\aucProcessEngine.jar"
DEL "%TUAM_HOME%\lib\aucProcessEngine.jar.tuam713fp1"


COPY "%TUAM_HOME%\lib\aucIntegrator.jar.tuam713fp1" "%TUAM_HOME%\lib\aucIntegrator.jar"
DEL "%TUAM_HOME%\lib\aucIntegrator.jar.tuam713fp1"


COPY "%TUAM_HOME%\lib\aucDataAccess.jar.tuam713fp1" "%TUAM_HOME%\lib\aucDataAccess.jar"
DEL "%TUAM_HOME%\lib\aucDataAccess.jar.tuam713fp1"

COPY "%TUAM_HOME%\lib\aucJobRunner.jar.tuam713fp1" "%TUAM_HOME%\lib\aucJobRunner.jar"
DEL "%TUAM_HOME%\lib\aucJobRunner.jar.tuam713fp1"

COPY "%TUAM_HOME%\lib\aucCommon.jar.tuam713fp1" "%TUAM_HOME%\lib\aucCommon.jar"
DEL "%TUAM_HOME%\lib\aucCommon.jar.tuam713fp1"

COPY "%TUAM_HOME%\lib\aucVerification.jar.tuam713fp1" "%TUAM_HOME%\lib\aucVerification.jar"
DEL "%TUAM_HOME%\lib\aucVerification.jar.tuam713fp1"


COPY "%TUAM_HOME%\collectors\unixlinux\ituam_uc_aix5.tar.tuam713fp1" "%TUAM_HOME%\collectors\unixlinux\ituam_uc_aix5.tar"
COPY "%TUAM_HOME%\collectors\unixlinux\tuam_unpack_dblibs_collector.tuam713fp1" "%TUAM_HOME%\collectors\unixlinux\tuam_unpack_dblibs_collector"
COPY "%TUAM_HOME%\collectors\unixlinux\ituam_uc_sol27.tar.tuam713fp1" "%TUAM_HOME%\collectors\unixlinux\ituam_uc_sol27.tar"
DEL "%TUAM_HOME%\collectors\unixlinux\ituam_uc_aix5.tar.tuam713fp1"
DEL "%TUAM_HOME%\collectors\unixlinux\tuam_unpack_dblibs_collector.tuam713fp1"
DEL "%TUAM_HOME%\collectors\unixlinux\ituam_uc_sol27.tar.tuam713fp1"

COPY "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll.tuam713fp1" "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll"
DEL "%TUAM_HOME%\server\web2\bin\IBM.TUAM.CommonLibrary.dll.tuam713fp1"

COPY /Y "%TUAM_HOME%\server\reportsmsrs2\standard\RIVTC004.rdl.tuam713fp1" "%TUAM_HOME%\server\reportsmsrs2\standard\RIVTC004.rdl"
DEL "%TUAM_HOME%\server\reportsmsrs2\standard\RIVTC004.rdl.tuam713fp1"
COPY /Y "%TUAM_HOME%\bin\dbupgrade\db2export.bat.tuam713fp1" "%TUAM_HOME%\bin\dbupgrade\db2export.bat"
DEL "%TUAM_HOME%\bin\dbupgrade\db2export.bat.tuam713fp1"
COPY /Y "%TUAM_HOME%\bin\dbupgrade\db2import.bat.tuam713fp1" "%TUAM_HOME%\bin\dbupgrade\db2import.bat"
DEL "%TUAM_HOME%\bin\dbupgrade\db2import.bat.tuam713fp1"



echo Undoing WAR fix...
echo .

rem Deploy eWAS EAR. eWAS needs to be running for the deploy process.
COPY  "%TUAM_HOME%\setup\console\aucConsole.war.tuam713fp1" "%TUAM_HOME%\setup\console\aucConsole.war"
DEL "%TUAM_HOME%\setup\console\aucConsole.war.tuam713fp1"
cd /d "%TUAM_HOME%\setup\console"


IF "%1"=="" GOTO deployNoAuthentication
IF "%2"=="" GOTO deployNoAuthentication

rem Restart eWas. eWas must be started to deploy WAR
echo . 
echo Starting eWAS....
call "%TUAM_HOME%\ewas\bin\startServer.bat" server1 -username %1 -password %2
call deployTuam.bat replace %1 %2
if ERRORLEVEL 1 goto PATCHING_ERROR
goto DONE

:deployNoAuthentication
rem Restart eWas. eWas must be started to deploy WAR
echo . 
echo Starting eWAS....
call "%TUAM_HOME%\ewas\bin\startServer.bat" server1
call deployTuam.bat replace
if ERRORLEVEL 1 goto PATCHING_ERROR
goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1.3 and then rerun fix.  

:PATCHING_ERROR
echo Error undoing the fixpack, please send this full output to IBM.

:DONE
echo . 
echo Fix has been undone successfully.
endlocal
