#!/bin/sh

# ------------------------------------------------------------------------ {COPYRIGHT-TOP}
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# IBM Tivoli Usage and Accounting Manager
# 5724-O33, 5765-UAV, 5765-UA7, 44E7863
# (c) Copyright IBM Corp. 2010 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# ------------------------------------------------------------------------ {COPYRIGHT-END}



if [ "$TUAM_HOME" != "" ]
then

# Stopping eWAS...

   if  [ "$1" != "" -a "$2" != "" ];
   then
   		echo Stopping eWAS with authentication
      	"$TUAM_HOME/ewas/bin/stopServer.sh" server1 -username "$1" -password "$2"
   else
   		echo Stopping eWAS without authentication
      	"$TUAM_HOME/ewas/bin/stopServer.sh" server1
   fi
   
   
  
   
   echo Undoing fix...
   cp "$TUAM_HOME/lib/aucProcessEngine.jar.tuam713fp1" "$TUAM_HOME/lib/aucProcessEngine.jar"
   rm "$TUAM_HOME/lib/aucProcessEngine.jar.tuam713fp1"
   
   cp "$TUAM_HOME/lib/aucIntegrator.jar.tuam713fp1" "$TUAM_HOME/lib/aucIntegrator.jar"
   rm "$TUAM_HOME/lib/aucIntegrator.jar.tuam713fp1"
   
   cp "$TUAM_HOME/lib/aucDataAccess.jar.tuam713fp1" "$TUAM_HOME/lib/aucDataAccess.jar"
   rm "$TUAM_HOME/lib/aucDataAccess.jar.tuam713fp1"
   
   cp "$TUAM_HOME/lib/aucJobRunner.jar.tuam713fp1" "$TUAM_HOME/lib/aucJobRunner.jar"
   rm "$TUAM_HOME/lib/aucJobRunner.jar.tuam713fp1"
   
   cp "$TUAM_HOME/lib/aucCommon.jar.tuam713fp1" "$TUAM_HOME/lib/aucCommon.jar"
   rm "$TUAM_HOME/lib/aucCommon.jar.tuam713fp1" 
   
   cp "$TUAM_HOME/lib/aucVerification.jar.tuam713fp1" "$TUAM_HOME/lib/aucVerification.jar"
   rm "$TUAM_HOME/lib/aucVerification.jar.tuam713fp1" 
   
   
   cp  "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar.tuam713fp1" "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar"
   rm  "$TUAM_HOME/collectors/unixlinux/ituam_uc_aix5.tar.tuam713fp1"
   
   cp  "$TUAM_HOME/collectors/unixlinux/ituam_uc_sol27.tar.tuam713fp1" "$TUAM_HOME/collectors/unixlinux/ituam_uc_sol27.tar"
   rm  "$TUAM_HOME/collectors/unixlinux/ituam_uc_sol27.tar.tuam713fp1"
   
   if [ -f "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct.tuam713fp1" ]
   then
     cp "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct.tuam713fp1" "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct"
     rm "$TUAM_HOME/collectors/unix/scripts/aacct/ituam_format_aacct.tuam713fp1"
   fi
   
   if [ -f "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector.tuam713fp1" ]
   then
   	 cp "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector.tuam713fp1" "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector"
   	 rm "$TUAM_HOME/collectors/unixlinux/tuam_unpack_dblibs_collector.tuam713fp1"
   fi
   
   if [ -f "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par.tuam713fp1" ]
   then
   	 cp  "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par.tuam713fp1" "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par"
     rm "$TUAM_HOME/collectors/unix/scripts/admin/create_A_storage.par.tuam713fp1"
   fi
   
   
   
   
  #Deploy eWAS EAR. eWAS needs to be running for the deploy process.

   cp  "$TUAM_HOME/setup/console/aucConsole.war.tuam713fp1" "$TUAM_HOME/setup/console/aucConsole.war"
   rm "$TUAM_HOME/setup/console/aucConsole.war.tuam713fp1"
   
   cd "$TUAM_HOME/setup/console"


   echo Deploy war and Restart eWAS...

   if  [ "$1" != "" -a "$2" != "" ];
   then
      echo Restarting eWAS...
   	  "$TUAM_HOME/ewas/bin/startServer.sh" server1 -username "$1" -password "$2"
      echo Deploying WAR to eWAS with authentication
      "./deployTuam.sh" replace "$1" "$2"
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi
    	
   else
      echo Restarting eWAS...
   	  "$TUAM_HOME/ewas/bin/startServer.sh" server1
      echo Deploying WAR to eWAS without authentication
      "./deployTuam.sh" replace
      RETCODE=$?
    	if [ $RETCODE -ne 0 ]; then
         echo There was a problem deploying the WAR
		 exit
    	fi
   fi

else
   echo Your environment variable TUAM_HOME is not set.  Set the TUAM_HOME variable to the install location of TUAM 7.1.3 and then rerun fix. 
fi
